
Sub Initialize
	Timer1.Interval = 100
	Label1.Text = "Slot number"
	Label2.Text = "Slot value"
	SlotNum.Text = "1"
	SlotValue.Text = "0.03"
End Sub

Sub FastExecution
	
End Sub

Sub PausableExecution()
	Do
		WriteSlot(CInt(val(SlotNum.Text)), CInt(val(SlotValue.Text)))
	Loop
End Sub



' ================================================================================================
'  - ENG - THE SIMPLIFIED MANAGEMENT ENDS HERE - MODIFY THE FOLLOWING CAREFULLY
' ------------------------------------------------------------------------------------------------
'  - ITA - LA GESTIONE SEMPLIFICATA FINISCE QUI - MODIFICARE LA PARTE SEGUENTE CON ATTENZIONE
' ================================================================================================


Sub Main(ByVal s() As String)
	If Form1 IsNot Nothing Then Return
	Form1 = New Form
	InitializeComponents
	MemoryMappedFile_Init
	timeBeginPeriod(1)
	StartThread
	Initialize
	While Form1.Visible
		Application.DoEvents
		Threading.Thread.Sleep(10)
	End While
End Sub

Sub Form1_Closing(sender As Object, e As CancelEventArgs) Handles Form1.Closing
	timeEndPeriod(1)
	Timer1.Stop
	objThread.Abort
End Sub


Private Declare Function timeBeginPeriod Lib "winmm.dll" (ByVal uPeriod As Int32) As Int32
Private Declare Function timeEndPeriod Lib "winmm.dll" (ByVal uPeriod As Int32) As Int32

Sub StartThread()
	' --------------------------------------------------------- asynchronously start the Thread 
	objThread = New Threading.Thread(AddressOf ExecuteThread)
	' --------------------------------------------------------- make the thread as background thread.
	objThread.IsBackground = True
	' --------------------------------------------------------- set the Priority of the thread.
	objThread.Priority = Threading.ThreadPriority.AboveNormal
	' --------------------------------------------------------- start the thread.
	objThread.Start()
End Sub

Sub ExecuteThread
	Do
		PausableExecution
		PausaMS(1)
	Loop Until False
End Sub

Sub PausaMS(ByVal mS As Int32)
	Threading.Thread.Sleep(mS)
End Sub

Sub Timer1_Tick(ByVal sender As Object, ByVal e As EventArgs) Handles Timer1.Tick
	FastExecution
End Sub


' ---------------------------------------------------------------------- User Interface Components
WithEvents Form1 As Form
WithEvents Timer1 As Timer = New Timer
Dim objThread As Threading.Thread
Dim Label1 As Label = New Label
Dim Label2 As Label = New Label
Dim SlotNum As TextBox = New TextBox
Dim SlotValue As TextBox = New TextBox
WithEvents TrackBar1 As TrackBar = New TrackBar

Sub InitializeComponents()
	Application.EnableVisualStyles
	form1.SuspendLayout
	' ------------------------------------------------------------------ Form
	Form1.Text = "Theremino Script - Geiger Simulator"
	Form1.ClientSize = New System.Drawing.Size(640, 130)
	Form1.MinimumSize = Form1.Size
	Form1.StartPosition = FormStartPosition.CenterScreen
	' ------------------------------------------------------------------ Label 1
	Label1.BorderStyle = BorderStyle.Fixed3D
	Label1.Location = New Point(10, 10)
	Label1.Font = New Font("Arial", 12 )
	Label1.Size = New Size(120, 21)
	Label1.Anchor = AnchorStyles.top Or AnchorStyles.Left Or AnchorStyles.right
	Form1.Controls.Add(Label1)
	' ------------------------------------------------------------------ SlotNum
	SlotNum.BorderStyle = BorderStyle.Fixed3D
	SlotNum.Location = New Point(10, 40)
	SlotNum.Font = New Font("Arial", 12 )
	SlotNum.Size = New Size(620, 21)
	SlotNum.Anchor = AnchorStyles.top Or AnchorStyles.Left Or AnchorStyles.right
	Form1.Controls.Add(SlotNum)	
	' ------------------------------------------------------------------ Label 2
	Label2.BorderStyle = BorderStyle.Fixed3D
	Label2.Location = New Point(10, 70)
	Label2.Font = New Font("Arial", 12 )
	Label2.Size = New Size(120, 21)
	Label2.Anchor = AnchorStyles.top Or AnchorStyles.Left Or AnchorStyles.right
	Form1.Controls.Add(Label2)	
	' ------------------------------------------------------------------ SlotValue
	SlotValue.BorderStyle = BorderStyle.Fixed3D
	SlotValue.Location = New Point(10, 100)
	SlotValue.Font = New Font("Arial", 12 )
	SlotValue.Size = New Size(620, 21)
	SlotValue.Anchor = AnchorStyles.top Or AnchorStyles.Left Or AnchorStyles.right
	Form1.Controls.Add(SlotValue)
	' ------------------------------------------------------------------ Timer 1
	Timer1.Interval = 50
	Timer1.Start
	' ------------------------------------------------------------------ 
	Form1.ResumeLayout
	Form1.PerformLayout()
	Form1.show
End Sub

